Bump version to 1.2.1

This commit is contained in:
Christoph Erhardt 2022-04-30 21:24:01 +02:00
parent fd35a6b727
commit 97b9b97738
4 changed files with 12 additions and 39 deletions

2
.gitignore vendored
View File

@ -1 +1 @@
/mold-1.2.tar.gz
/mold-1.2.1.tar.gz

View File

@ -1,29 +0,0 @@
From 133946af0c4013d17715cad486a1984848732a4d Mon Sep 17 00:00:00 2001
Message-Id: <133946af0c4013d17715cad486a1984848732a4d.1650116695.git.github@sicherha.de>
From: Christoph Erhardt <github@sicherha.de>
Date: Fri, 15 Apr 2022 20:34:04 +0200
Subject: [PATCH] Skip test if `dwarfdump` is unavailable
Fixes #430.
Signed-off-by: Christoph Erhardt <github@sicherha.de>
---
test/elf/dead-debug-sections.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/test/elf/dead-debug-sections.sh b/test/elf/dead-debug-sections.sh
index 5573b3a2..b31fcb34 100755
--- a/test/elf/dead-debug-sections.sh
+++ b/test/elf/dead-debug-sections.sh
@@ -14,6 +14,8 @@ mold="$(pwd)/mold"
t=out/test/elf/$testname
mkdir -p $t
+which dwarfdump >& /dev/null || { echo skipped; exit; }
+
cat <<EOF | $CXX -c -o $t/a.o -g -xc++ -
#include <iostream>
struct Foo {
--
2.35.1

View File

@ -1,5 +1,5 @@
Name: mold
Version: 1.2
Version: 1.2.1
Release: 1%{?dist}
Summary: A Modern Linker
@ -14,9 +14,6 @@ Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# in the Fedora tbb package)
Patch0: tbb-strip-werror.patch
# Skip test if dwarfdump is unavailable
Patch1: 0001-Skip-test-if-dwarfdump-is-unavailable.patch
# mold can produce native binaries for i686, x86_64, ARMv7, aarch64 and riscv64,
# but it only runs on a 64-bit host
ExclusiveArch: x86_64 aarch64 riscv64
@ -30,13 +27,18 @@ BuildRequires: gcc-c++ >= 10
%endif
BuildRequires: mimalloc-devel
BuildRequires: openssl-devel
BuildRequires: python3
BuildRequires: xxhash-devel
BuildRequires: zlib-devel
# The following packages are only required for executing the tests
BuildRequires: clang
BuildRequires: gdb
BuildRequires: glibc-static
%if ! 0%{?el8}
%ifarch x86_64
BuildRequires: /usr/lib/libc.so
%endif
BuildRequires: libdwarf-tools
%endif
BuildRequires: libstdc++-static
@ -61,8 +63,6 @@ build time, especially in rapid debug-edit-rebuild cycles.
%prep
%autosetup -p1
rm -r third-party/{mimalloc,xxhash}
# Remove failing unit test for now (https://github.com/rui314/mold/issues/436)
rm test/elf/gdb-index.sh
%build
%if 0%{?el8}
@ -72,8 +72,6 @@ rm test/elf/gdb-index.sh
%install
%make_install %{build_args}
# Overwrite absolute symlink with relative symlink
ln -srf %{buildroot}%{_bindir}/mold %{buildroot}%{_libexecdir}/mold/ld
chmod +x %{buildroot}%{_libdir}/mold/mold-wrapper.so
%post
@ -105,6 +103,10 @@ fi
%{_mandir}/man1/mold.1*
%changelog
* Sat Apr 30 2022 Christoph Erhardt <fedora@sicherha.de> - 1.2.1-1
- Bump version to 1.2.1
- Drop upstreamed patch
* Sat Apr 16 2022 Christoph Erhardt <fedora@sicherha.de> - 1.2-1
- Bump version to 1.2
- Drop upstreamed patches

View File

@ -1 +1 @@
SHA512 (mold-1.2.tar.gz) = 1308f5f274867a5d2d2c000a043ce645eff2a0c876fc1bec33c077cd7f5fc0f1f2b983211ca479cebc80f1ed3f3b0ea0d4c8f7e3e7f2124b713354b18ebc8676
SHA512 (mold-1.2.1.tar.gz) = fc39674b00119d09b3275ed7232356f0b25dad1a0f3a498f9db1a4835b6d4f9ea637ca9a643a05591ea895e8751d9bee43cdcb42303beb082462e76ddb42a0f1